## python-pygerrit2 2.0.4

=== Makefile ===
# The MIT License
#
# Copyright 2013 Sony Mobile Communications. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

PWD := $(shell pwd)
VERSION := $(shell git describe)

VIRTUALENV := $(shell which virtualenv)
ifeq ($(wildcard $(VIRTUALENV)),)
  $(error virtualenv must be available)
endif

PIP := $(shell which pip)
ifeq ($(wildcard $(PIP)),)
  $(error pip must be available)
endif

REQUIRED_VIRTUALENV ?= 1.10
VIRTUALENV_OK := $(shell expr `virtualenv --version | \
    cut -f2 -d' '` \>= $(REQUIRED_VIRTUALENV))

all: test

test: clean unittests pyflakes pep8 pydocstyle

sdist: valid-virtualenv test
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          python setup.py sdist"

valid-virtualenv:
ifeq ($(VIRTUALENV_OK),0)
  $(error virtualenv version $(REQUIRED_VIRTUALENV) or higher is needed)
endif

pydocstyle: testenvsetup
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          git ls-files | grep \"\.py$$\" | grep -v docs | xargs pydocstyle"

pep8: testenvsetup
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          git ls-files | grep \"\.py$$\" | grep -v docs | xargs flake8 --max-line-length 80"

pyflakes: testenvsetup
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          git ls-files | grep \"\.py$$\" | grep -v docs | xargs pyflakes"

unittests: testenvsetup
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          python unittests.py"

testenvsetup: envsetup
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          pip install --upgrade -r test_requirements.txt"

docenvsetup: envsetup
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          pip install --upgrade -r doc_requirements.txt"

envsetup: envinit
	bash -c "\
          source ./pygerrit2env/bin/activate && \
          pip install --upgrade -r requirements.txt"

envinit:
	bash -c "[ -e ./pygerrit2env/bin/activate ] || virtualenv --system-site-packages ./pygerrit2env"

clean:
	@find . -type f -name "*.pyc" -exec rm -f {} \;
	@rm -rf pygerrit2env pygerrit2.egg-info build dist

=== requirements.txt ===
pbr>=0.8.0
requests>=2.10.0,<=2.18.4

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = pygerrit2
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pygerrit2 (2.0.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:25:40 -0400

python-pygerrit2 (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 01:44:41 +0200

python-pygerrit2 (2.0.4-1) unstable; urgency=low

  * Initial release (Closes: #886838)

 -- Filip Pytloun <filip@pytloun.cz>  Wed, 10 Jan 2018 17:33:35 +0100

=== debian/control ===
Source: python-pygerrit2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pbr (>= 0.8.2),
 python3-setuptools,
Build-Depends-Indep:
 python3-requests (>= 2.10.0),
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/dpursehouse/pygerrit2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygerrit2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygerrit2.git

Package: python3-pygerrit2
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: library to interact with Gerrit via the REST API - Python 3.x
 pygerrit2 is simple Python library to provide interface to interact with
 Gerrit Code Review via it's REST API.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
#opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/pygerrit2/pygerrit2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
